TESTING/LIN/sqrt13.f(3)

NAME
TESTING/LIN/sqrt13.f

SYNOPSIS

  Functions/Subroutines
subroutine sqrt13 (scale, m, n, a, lda, norma, iseed)
SQRT13

Function/Subroutine Documentation

  subroutine sqrt13 (integer scale, integer m, integer n, real, dimension( lda, * ) a, integer lda, real norma, integer, dimension( 4 ) iseed)

SQRT13

Purpose:

     SQRT13 generates a full-rank matrix that may be scaled to have large
     or small norm.

Parameters
    SCALE

              SCALE is INTEGER
              SCALE = 1: normally scaled matrix
              SCALE = 2: matrix scaled up
              SCALE = 3: matrix scaled down

    M

              M is INTEGER
              The number of rows of the matrix A.

    N

              N is INTEGER
              The number of columns of A.

    A

              A is REAL array, dimension (LDA,N)
              The M-by-N matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    NORMA

              NORMA is REAL
              The one-norm of A.

    ISEED

              ISEED is integer array, dimension (4)
              Seed for random number generator

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file sqrt13.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.